Subject: [amos-list] Re: TCP commands.
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Tue, 17 Aug 1999 22:02:57 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

>>   No no no no, that really wouldn't work becuase:
>> I don't want the game loaded up JUST becuase someone's accessing that port on
>> your computer, that'd be silly as anyone could start JamesBond on your amiga
>> even if you really didn't want to.
> 
> Why else would someone be accessing port 234 (to stick with our example)?

   Here's the scene: You are happily surfing the net or playing quake online etc., when suddenly some ideot thinks 'I know, lets give whoever a game of james bond' and then puts in there IP no. without telling them. Suddenly a copy of James Bond jumps onto the screen, causing much annoyance.

>>   Although I still don't see how InetD is supposed to be set up, and having
>> people try to set it up on there own is asking a bit much I think...
> 
> Bitch at the miami guy for not having any docs. I've set up my own web servers
> and pop3 (mail) servers, so it is not all that difficult.

   AmiTCP btw.

Anyway, I managed to get it working, you forgot to tell me to add an entry in 'services' and then fiddle about with the cli command.

As I've go a program that outputs the command line its given to a file in ram, but lo, I can't get it to output any kind of IP no. or anything.

   And AMOS locks up when I try to do anything with the port...

   Besides, I don't want to have to expect poor people to fiddle about in the settings like that.

   Quake can have a direct TCP connection between two computers, why not GUI TCP commands?

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
"Bother," said Pooh, as the gamma rays disintegrated his cellular structure.

--------------------------- ONElist Sponsor ----------------------------

ONElist:  your connection to people who share your interests.

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html